Retry Bulk Card Production and Data Prep

In the event of any that a server-side error (having error code 500) is returned after initially sending a request, this API handles retries for bulk card production and data prep requests, with the same parameters and request body that was sent originally.


Request Message description

Field #Field nameData typeMax lengthRequiredDescription
1branchIdinttrueBulk Card Production Batch ID
2issuerCodestringfalseIssuer Code for Data Prep
3persoCodestringfalsePerso Code for Data Prep

POST /card-management/api/v1/fintech-cms/cpdp/retry
Authorization = Bearer Token

Sample Request

{
  "batchId": 81,
  "issuerCode": "tst",
  "persoCode": "tps"
}

Response Message  field description


Field #Field nameDescription
1codeInternal Response Code
2descriptionSuccessful or Error Message
3correlationIdRequest identifier
4errorsErrors array if any errors exists.

Sample Response (success)

{
  "code": "00",
  "description": "Card Production Request has been forwarded and creation in progress",
  "correlationId": "4112af20fcee410fb9a07b61fc721a2c"
}

Sample Response (failure)

{
  "code": "400",
  "description": "BatchId for Batch Process does not exist",
  "correlationId": "2aa197eda43540a4ad85b8d0bf570871"
}

Did this page help you?